## libkf5mailimporter 16.04.3

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.12)

project(MailImporter)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(KDEPIM_LIB_VERSION "5.2.1")
set(QT_REQUIRED_VERSION "5.4.0")
set(KMIME_LIB_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.0")
set(MAILIMPORTER_LIB "5.2.3")

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools Xml)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(${MAILIMPORTER_LIB} VARIABLE_PREFIX MAILIMPORTER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailImporter")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailImporterConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MailImporterTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailImporterTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)


add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter\")
add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## libkf5mailimporter 16.04.2

=== debian/changelog ===
libkf5mailimporter (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 23:48:39 +0200

libkf5mailimporter (4:16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 21:55:05 +0200

libkf5mailimporter (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 17:46:30 +0200

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev (>= 5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5libkdepim-dev (>= 5.2.1~),
               libkf5mime-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/mailimporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/mailimporter.git

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadimime-dev (>= 5.2.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mime-dev (>= 5.2.0~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 16.04.3

=== debian/changelog ===
libkf5mailimporter (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Fix spelling error reported by lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:32 +0200

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5akonadimime-dev (>= 4:16.04.3~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5libkdepim-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadimime-dev (>= 4:16.04.3~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mime-dev (>= 16.04.3~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 17.04.3

=== debian/changelog ===
libkf5mailimporter (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new library for kf5mailimporterakonadi.
  * Update add_missing_include.diff after akonadi support is split from
    main lib.
  * Bump soname with debianabimanager due to binary incompatible changes
    libkf5mailimporter5 -> libkf5mailimporter5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:41 +0100

libkf5mailimporter (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:17 +0100

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MailImporter
Architecture: any
Multi-Arch: same
Depends: libkf5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadimime-dev (>= 4:17.04.3~),
         libkf5mailimporter5abi1 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 17.04.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(MailImporter VERSION ${PIM_VERSION})

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


set(MAILIMPORTER_LIB ${PIM_VERSION})


set(AKONADIMIME_LIB_VERSION "5.7.3")
set(KDEPIM_LIB_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
set(KMIME_LIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)

find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(src)

install( FILES mailimporter.renamecategories mailimporter.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/mailimporterakonadi/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailImporterAkonadi")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailImporterAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MailImporterAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailImporterAkonadiTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

set(libmailimporterakonadi_SRCS
    filterimporterakonadi.cpp
    )

ecm_qt_declare_logging_category(libmailimporterakonadi_SRCS HEADER mailimporterakonadi_debug.h IDENTIFIER MAILIMPORTERAKONADI_LOG CATEGORY_NAME org.kde.pim.mailimporterakonadi)

add_library(KF5MailImporterAkonadi
    ${libmailimporterakonadi_SRCS}
    )

generate_export_header( KF5MailImporterAkonadi BASE_NAME mailimporterakonadi)

add_library(KF5::MailImporterAkonadi ALIAS KF5MailImporterAkonadi)

target_include_directories(KF5MailImporterAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi/;${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporterakonadi>")
target_include_directories(KF5MailImporterAkonadi PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KF5MailImporterAkonadi
    PUBLIC
    KF5::MailImporter
    KF5::AkonadiCore
    PRIVATE
    KF5::Mime
    KF5::AkonadiMime
    KF5::I18n
    Qt5::Widgets
    )

set_target_properties(KF5MailImporterAkonadi PROPERTIES
    VERSION ${MAILIMPORTER_VERSION_STRING}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporterAkonadi
    )

install(TARGETS
    KF5MailImporterAkonadi
    EXPORT KF5MailImporterAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
    )


ecm_generate_headers(MailImporter_AkonadiCamelCase_HEADERS
    HEADER_NAMES
    FilterImporterAkonadi
    REQUIRED_HEADERS MailImporter_Akonadi_HEADERS
    PREFIX MailImporterAkonadi
    )


ecm_generate_pri_file(BASE_NAME MailImporterAkonadi
    LIB_NAME KF5MailImporterAkonadi
    DEPS "MailImporter AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi
    )


install(FILES
    ${MailImporter_AkonadiCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_export.h
    ${MailImporter_Akonadi_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporterakonadi
    COMPONENT Devel
    )
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== src/mailimporter/autotests/CMakeLists.txt ===
add_definitions( -DMAILIMPORTER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/samples/" )

macro(add_mailimporter_unittest _source _additionalSource)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_additionalSource}
        TEST_NAME ${_name}
        NAME_PREFIX "mailimporter-"
        LINK_LIBRARIES KF5::MailImporter Qt5::Test Qt5::Core Qt5::Gui Qt5::Widgets
    )
endmacro ()

add_mailimporter_unittest(filterthunderbirdtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtericedovetest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterclawsmailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtersylpheedtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterlnotestest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermailapptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterthebattest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermboxtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterbalsamailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterplaintest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermailmangziptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")

add_mailimporter_unittest(messagestatustest.cpp "")
add_mailimporter_unittest(selectthunderbirdprofiledialogtest.cpp "")

=== debian/changelog ===
libkf5mailimporter (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:27 +0000

libkf5mailimporter (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:57 +0000

libkf5mailimporter (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Refresh patches
  * New upstream release (17.08.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~)
@@ -59,11 +59,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadimime-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadimime-dev (>= 4:17.12.3~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.04.3~),
+         libkf5mime-dev (>= 17.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}

## libkf5mailimporter 18.04.3

=== debian/changelog ===
libkf5mailimporter (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * ACC test: add statx to skip_types, fixes the ACC test with glibc >=
    2.28.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 08:18:58 +0100

libkf5mailimporter (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
@@ -59,14 +59,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadimime-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadimime-dev (>= 4:18.04.3~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 18.04.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM Mail importer library, devel files
  This package contains a library for importing mails into KDE applications.
  .

## libkf5mailimporter 18.08.3

=== debian/changelog ===
libkf5mailimporter (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:01:24 +0100

libkf5mailimporter (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:48 +0200

libkf5mailimporter (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:56:02 +0200

libkf5mailimporter (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Update long descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:54 +0200

libkf5mailimporter (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Update symbols for 17.12.2.
  * KArchive is a depednecy for -dev package.
  * Bump debhelper build-dep and compat to 11.
  * Add symbols file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:42 +0100

libkf5mailimporter (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 18:00:46 +0100

libkf5mailimporter (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:43 +0200

libkf5mailimporter (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:52 +0000

libkf5mailimporter (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:49 +0000

libkf5mailimporter (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:48 +0000

libkf5mailimporter (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:26 +0000

libkf5mailimporter (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:29:57 +0000

libkf5mailimporter (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:22 +0000

libkf5mailimporter (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:16 +0000

libkf5mailimporter (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

libkf5mailimporter (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:16 +0000

libkf5mailimporter (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:56 +0000

libkf5mailimporter (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:42:02 +0000

libkf5mailimporter (4:16.08.1-1~1.gbp0b2fce) UNRELEASED; urgency=medium

  ** SNAPSHOT build @0b2fce24427fdf372bc906dd5e4916a3e656d49f **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @bf8a3a5b41d96b15c1345abf63ced4a10bc04037 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 14:15:16 +0200

libkf5mailimporter (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:33 +0000

libkf5mailimporter (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:36 +0000

libkf5mailimporter (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/mailimporter-([\d.]+).tar.xz

## libkf5mailimporter 18.08.3+rebuild

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,11 +26,11 @@
 set(MAILIMPORTER_LIB ${PIM_VERSION})
 
 
-set(AKONADIMIME_LIB_VERSION "5.7.3")
-set(KDEPIM_LIB_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
-set(KMIME_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
+set(AKONADIMIME_LIB_VERSION "5.9.3")
+set(KDEPIM_LIB_VERSION "5.9.3")
+set(QT_REQUIRED_VERSION "5.9.0")
+set(KMIME_LIB_VERSION "5.9.3")
+set(AKONADI_VERSION "5.9.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)
 
@@ -57,7 +57,7 @@
 
 if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
-endif(BUILD_TESTING)
+endif()
 
 add_subdirectory(src)

=== debian/changelog ===
libkf5mailimporter (4:18.08.3+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:59:41 +0800

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadimime-dev (>= 4:18.08.3~),
               libkf5archive-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5akonadimime-dev (>= 4:18.08.3~),
         libkf5archive-dev (>= 5.47.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.08.3~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains development files for building software that uses the library
 for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kmail (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 18.12.3

=== debian/changelog ===
libkf5mailimporter (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:37 +0100

libkf5mailimporter (4:18.12.3-0ubuntu1) disco; urgency=medium

  * debian/patches: Drop upstream applied add_missing_include.diff
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:07:07 +0000

libkf5mailimporter (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:43:24 +0000

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MailImporter
Architecture: any
Multi-Arch: same
Depends: libkf5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadimime-dev (>= 4:18.12.3~),
         libkf5mailimporter5abi1 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 19.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.11.3")

project(MailImporter VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.56.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(MAILIMPORTER_LIB ${PIM_VERSION})


set(AKONADIMIME_LIB_VERSION "5.11.3")
set(KDEPIM_LIB_VERSION "5.11.3")
set(QT_REQUIRED_VERSION "5.10.0")
set(KMIME_LIB_VERSION "5.11.3")
set(AKONADI_VERSION "5.11.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########


# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
if (${Qt5Widgets_VERSION} STRGREATER "5.13")
   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
else()
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()

########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(src)

install( FILES mailimporter.renamecategories mailimporter.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5mailimporter (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -59,11 +59,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadimime-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadimime-dev (>= 4:19.04.3~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5mailimporter 19.08.3

=== debian/changelog ===
libkf5mailimporter (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:22 +0100

libkf5mailimporter (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Move mailimporter.categories files from libkf5mailimporter-dev ->
    libkf5mailimporter5
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:59 +0100

libkf5mailimporter (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:47 +0100

libkf5mailimporter (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:42:44 +0200

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5archive-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadimime-dev (>= 4:19.08.3~),
         libkf5archive-dev (>= 5.60.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.08.3~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 This package contains development files for building software that uses the library
 for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Replaces: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel
